Run of fresh-snapshots for osmium-tool

Merge these changes:

git pull https://janitor.debian.net/git/osmium-tool fresh-snapshots/main
git pull https://janitor.debian.net/git/osmium-tool fresh-snapshots/pristine-tar
git pull https://janitor.debian.net/git/osmium-tool fresh-snapshots/upstream

Summary

Merged new upstream version: 1.14.0+git20220213.1.4a21513 (was: 1.14.0).

Diff

Branch: main

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 91dc4fb..d2c10b7 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -43,7 +43,7 @@ option(BUILD_TESTING "Build the tests" ON)
 find_package(Boost 1.55.0 REQUIRED COMPONENTS program_options)
 include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 
-find_package(Osmium 2.16.0 REQUIRED COMPONENTS io)
+find_package(Osmium 2.17.0 REQUIRED COMPONENTS io)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
 
diff --git a/debian/changelog b/debian/changelog
index 9898055..7a5c94b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,13 @@
-osmium-tool (1.14.0-2) UNRELEASED; urgency=medium
+osmium-tool (1.14.0+git20220213.1.4a21513-1) UNRELEASED; urgency=medium
 
+  [ Bas Couwenberg ]
   * Require at least libosmium2-dev 2.17.0.
 
- -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Feb 2022 08:24:01 +0100
+  [ Debian Janitor ]
+  * New upstream snapshot.
+  * Drop patch libosmium-version.patch, present upstream.
+
+ -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Mar 2022 18:20:03 -0000
 
 osmium-tool (1.14.0-1) unstable; urgency=medium
 
diff --git a/debian/patches/libosmium-version.patch b/debian/patches/libosmium-version.patch
deleted file mode 100644
index 698c70a..0000000
--- a/debian/patches/libosmium-version.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Description: Require Osmium 2.17.0 for is_false.
- error: 'const class osmium::util::Options' has no member named 'is_false'
-Author: Bas Couwenberg <sebastic@debian.org>
-Forwarded: https://github.com/osmcode/osmium-tool/pull/242
-Applied-Upstream: https://github.com/osmcode/osmium-tool/commit/4a215130453beb9b3b15c16b095e8126195c39ba
-
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -43,7 +43,7 @@ option(BUILD_TESTING "Build the tests" O
- find_package(Boost 1.55.0 REQUIRED COMPONENTS program_options)
- include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
- 
--find_package(Osmium 2.16.0 REQUIRED COMPONENTS io)
-+find_package(Osmium 2.17.0 REQUIRED COMPONENTS io)
- include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
- 
- 
diff --git a/debian/patches/series b/debian/patches/series
index 8074bbc..e69de29 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1 +0,0 @@
-libosmium-version.patch

Branch: pristine-tar

diff --git a/osmium-tool_1.14.0+git20220213.1.4a21513.orig.tar.gz.delta b/osmium-tool_1.14.0+git20220213.1.4a21513.orig.tar.gz.delta
new file mode 100644
index 0000000..8f719ba
Binary files /dev/null and b/osmium-tool_1.14.0+git20220213.1.4a21513.orig.tar.gz.delta differ
diff --git a/osmium-tool_1.14.0+git20220213.1.4a21513.orig.tar.gz.id b/osmium-tool_1.14.0+git20220213.1.4a21513.orig.tar.gz.id
new file mode 100644
index 0000000..8fb66af
--- /dev/null
+++ b/osmium-tool_1.14.0+git20220213.1.4a21513.orig.tar.gz.id
@@ -0,0 +1 @@
+e706bae565ecb8fe254e0d5d74a96708f1ac851b

Branch: upstream

Tag: upstream/1.14.0+git20220213.1.4a21513
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 91dc4fb..d2c10b7 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -43,7 +43,7 @@ option(BUILD_TESTING "Build the tests" ON)
 find_package(Boost 1.55.0 REQUIRED COMPONENTS program_options)
 include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 
-find_package(Osmium 2.16.0 REQUIRED COMPONENTS io)
+find_package(Osmium 2.17.0 REQUIRED COMPONENTS io)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
 

Publish Blockers

  • ☑ run was successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches to DEB_COMPAT_RELEASE=ubuntu/esm DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 1253, max open: 300)
  • ☑ change set 441ebe6d-76c0-4b9d-8809-1a7912b3409c is ready

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-snapshots osmium-tool-dbgsymapt install -t fresh-snapshots osmium-tool

Lintian Result

Full worker log Full build log